// Arquivo de exemplo: CriarXML.aspx.cs
using System;
using System.Xml;
public partial class CriarXML : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        try
        {
            XmlDocument doc = new XmlDocument();
            XmlElement raiz = doc.CreateElement("Revistas");
            doc.AppendChild(raiz);
            XmlProcessingInstruction pi = doc.CreateProcessingInstruction("xml", "version=\"1.0\" encoding=\"UTF-8\"");
            doc.InsertBefore(pi, raiz);
            XmlElement filho = doc.CreateElement("revista");
            raiz.AppendChild(filho);
            XmlElement filho1 = doc.CreateElement("nome");
            filho.AppendChild(filho1);
            filho1.InnerText = "Revista do VB.NET";
            XmlElement filho2 = doc.CreateElement("preço");
            filho.AppendChild(filho2);
            filho2.InnerText = "10";
            XmlAttribute attr = doc.CreateAttribute("moeda");
            attr.Value = "R$";
            filho2.SetAttributeNode(attr);
            XmlElement filho3 = doc.CreateElement("revista");
            raiz.AppendChild(filho3);
            XmlElement filho4 = doc.CreateElement("nome");
            filho3.AppendChild(filho4);
            filho4.InnerText = "Revista do C#";
            XmlElement filho5 = doc.CreateElement("preço");
            filho3.AppendChild(filho5);
            filho5.InnerText = "8,5";
            filho5.SetAttribute("moeda", "R$");
            doc.Save("c:\\livro\\capitulo22\\new.xml");
            Response.Write("Documento XML criado");
        }
        catch (XmlException ex)
        {
            Response.Write(ex.Message);
        }
        catch (Exception ex)
        {
            Response.Write(ex.Message);
        }
    }
}
